| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::MessagePartContentMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, QDBusVariant >.

List of all members.

## Public Member Functions

- MessagePartContentMap ()
- MessagePartContentMap (const QMap< uint, QDBusVariant > &a)
- MessagePartContentMap & operator= (const QMap< uint, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QDBusVariant>, but needed to have a discrete type in the Qt type system.

A mapping from message part indexes to their content, as returned by GetPendingMessageContent.

## Constructor & Destructor Documentation

Tp::MessagePartContentMap::MessagePartContentMap | ( |  | ) | `[inline]`

Tp::MessagePartContentMap::MessagePartContentMap | ( | const QMap< uint, QDBusVariant > & | a | ) | `[inline]`

## Member Function Documentation

MessagePartContentMap& Tp::MessagePartContentMap::operator= | ( | const QMap< uint, QDBusVariant > & | a | ) | `[inline]`